<div class="modal fade" id="reportModal" tabindex="-1" aria-labelledby="reportModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Report</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p>Report this ticket for inappropriate or offensive content. This ticket will be flagged for moderation
                    and
                    will no longer be displayed publicly.</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                <button id="reportButton" type="button" class="btn btn-primary">Report</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="shareModal" tabindex="-1" aria-labelledby="shareModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body">
                <p>You can share this ticket using the following link:</p>
                <input type="text" id="ticketLink" class="form-control" disabled></input>
            </div>
            <div class="modal-footer">
                <button id="shareCopyButton" type="button" class="btn btn-primary">Copy to clipboard</button>
                <button id="shareCopyButtonDone" type="button" class="btn btn-success display-none"
                    disabled>Copied</button>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>